#
# spec file for package libfdata
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libfdata
%define lname	libfdata1
%define timestamp 20170112
Version:        0~%{timestamp}
Release:        bp153.1.16
Summary:        Library to provide generic file data functions
License:        LGPL-3.0+
Group:          Productivity/File utilities
Url:            https://github.com/libyal/libfdata/wiki
Source:         https://github.com/libyal/libfdata/releases/download/%timestamp/%{name}-alpha-%{timestamp}.tar.gz
BuildRequires:  pkg-config
BuildRequires:  python-devel
BuildRequires:  pkgconfig(libcdata) >= 20140105
BuildRequires:  pkgconfig(libcerror) >= 20140105
BuildRequires:  pkgconfig(libcnotify)
BuildRequires:  pkgconfig(libcstring) >= 20120425
BuildRequires:  pkgconfig(libcthreads) >= 20130723
BuildRequires:  pkgconfig(libfcache)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library to provide generic file data functions for the libyal family of libraries.

%package -n %{lname}
Summary:        Library to provide generic file data functions
Group:          System/Libraries

%description -n %{lname}
Library to provide generic file data functions for the libyal family of libraries.

%package devel
Summary:        Development files for libfdata
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description devel
Library to provide generic file data functions for the libyal family of libraries.

This subpackage contains libraries and header files for developing
applications that want to make use of libfdata.

%prep
%setup -q -n libfdata-%{timestamp}

%build
%configure --disable-static --enable-wide-character-type --enable-python
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post   -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libfdata.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%{_includedir}/libfdata.h
%{_includedir}/libfdata/
%{_libdir}/libfdata.so
%{_libdir}/pkgconfig/libfdata.pc
%{_mandir}/man3/libfdata.3*

%changelog
* Thu Feb 16 2017 Greg.Freemyer@gmail.com
- update to v0~20170112
* Sun Jan 31 2016 Greg.Freemyer@gmail.com
- update to v0~20150825
  * worked on stream
  - added get mapped range function
  - added mapped size
  * worked on btree search flags
  * added support for less equal and greater equal for compare functions
  in libfdata_btree_node_get_sub_node_data_range_by_key
* Thu Jan  8 2015 Greg.Freemyer@gmail.com
- update to v0~20150104
  * libfcache integration improvements
  * btree improvements and tests
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- remove %%if for opensuse version - no longer needed since all of libyal is in security:forensics
- start using libcstring from OBS, not internal version
* Mon Sep  1 2014 Greg.Freemyer@gmail.com
- initial package in OBS (v0~20140601)
